> For the complete documentation index, see [llms.txt](https://docs.altum.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.altum.ai/verduurzamen/nta-8800-energielabel-v2-api/woningen/authenticatie-invoer-en-resultaat.md).

# Authenticatie, invoer en resultaat

## Bepaal het geschatte huidige of potentiële NTA 8800-energielabel.

<mark style="color:green;">`POST`</mark> `https://api.altum.ai/v2/energylabel/houses`

#### Headers

| Naam                                        | Type   | Omschrijving                                                                                             |
| ------------------------------------------- | ------ | -------------------------------------------------------------------------------------------------------- |
| x-api-key<mark style="color:red;">\*</mark> | string | Unieke API-sleutel van Altum. Maak er een op [https://platform.altum.ai](https://platform.altum.ai/auth) |
| Content-Type                                | string | application/json                                                                                         |

#### Request Body

<table><thead><tr><th>Veld</th><th>Type</th><th width="187">Omschrijving</th><th>Voorbeeld/Standaard</th></tr></thead><tbody><tr><td>postcode<mark style="color:red;">*</mark></td><td>string</td><td>Zes-cijferige postcode</td><td>1234AB</td></tr><tr><td>housenumber<mark style="color:red;">*</mark></td><td>integer</td><td>Huisnummer</td><td>1</td></tr><tr><td>houseaddition</td><td>string</td><td>Huisnummertoevoeging</td><td>A</td></tr><tr><td>build_year</td><td>integer</td><td>Bouwjaar</td><td>1960</td></tr><tr><td>roof_type</td><td>integer</td><td><p><code>1</code> = (voornamelijk) schuin dak</p><p><code>2</code> = (voornamelijk) plat dak</p><p><code>3</code> = deels schuin, deels plat dak<br></p><p>Als het platte of hellende deel meer dan 25% van het dakoppervlak beslaat, wordt type <code>3</code> gebruikt.</p></td><td>Standaard: 1</td></tr><tr><td>house_type</td><td>integer</td><td><p><code>1</code> = Vrijstaand</p><p><code>2</code> = 2 onder 1 kap</p><p><code>3</code> = Hoekwoning</p><p><code>4</code> = Tussenwoning</p></td><td>2</td></tr><tr><td>inner_surface_area</td><td>float</td><td>Woonoppervlakte (m²)</td><td>70</td></tr><tr><td>wall_insulation</td><td>integer</td><td>Bekijk <a href="https://docs.altum.ai/verduurzamen/verduurzaming-api-v2/maatregelen">Maatregelen</a></td><td>2</td></tr><tr><td>floor_insulation</td><td>integer</td><td>Bekijk <a href="https://docs.altum.ai/verduurzamen/verduurzaming-api-v2/maatregelen">Maatregelen</a></td><td>2</td></tr><tr><td>sloped_roof_insulation</td><td>integer</td><td>Bekijk <a href="https://docs.altum.ai/verduurzamen/verduurzaming-api-v2/maatregelen">Maatregelen</a></td><td>2</td></tr><tr><td>flat_roof_insulation</td><td>integer</td><td>Bekijk <a href="https://docs.altum.ai/verduurzamen/verduurzaming-api-v2/maatregelen">Maatregelen</a></td><td>2</td></tr><tr><td>living_room_windows</td><td>integer</td><td>Bekijk <a href="https://docs.altum.ai/verduurzamen/verduurzaming-api-v2/maatregelen">Maatregelen</a></td><td>2</td></tr><tr><td>bedroom_windows</td><td>integer</td><td>Bekijk <a href="https://docs.altum.ai/verduurzamen/verduurzaming-api-v2/maatregelen">Maatregelen</a></td><td>2</td></tr><tr><td>installation</td><td>integer</td><td>Bekijk <a href="https://docs.altum.ai/verduurzamen/verduurzaming-api-v2/maatregelen">Maatregelen</a></td><td>Standaard: 4</td></tr><tr><td>shower</td><td>integer</td><td>Bekijk <a href="https://docs.altum.ai/verduurzamen/verduurzaming-api-v2/maatregelen">Maatregelen</a></td><td>Standaard: 1</td></tr><tr><td>cooling</td><td>integer</td><td><p>Is er een koelsysteem aanwezig?</p><p><code>1</code> = geen koeling</p><p><code>2</code> = airco-unit, directe luchtkoeling</p></td><td>Standaard: 1</td></tr><tr><td>ventilation</td><td>integer</td><td>Bekijk <a href="https://docs.altum.ai/verduurzamen/verduurzaming-api-v2/maatregelen">Maatregelen</a></td><td>1</td></tr><tr><td>electric_cooking</td><td>integer</td><td><p>Waar wordt mee gekookt?</p><p><code>1</code> = gasfornuis<br><code>2</code> = elektrisch fornuis</p></td><td>Standaard: 2 als <code>installation</code> gelijk is aan <code>6</code> of <code>7</code>, anders <code>1</code>.</td></tr><tr><td>inhabitants</td><td>integer</td><td>Aantal bewoners van de woning</td><td>Standaard: 3</td></tr><tr><td>ev_charger</td><td>integer</td><td><p>Heeft het gebouw een laadpaal voor elektrische voertuigen?</p><p><code>0</code> = geen laadpaal</p><p><code>1</code> = laadpaal aanwezig</p></td><td>Standaard: 0</td></tr><tr><td>electricity_connection_type</td><td>integer</td><td><p>Het aansluitingstype van het gebouw</p><p><code>1</code> = 1-fase<br><code>2</code> = 3-fase</p></td><td>Standaard: 1</td></tr><tr><td>electricity_contract_type</td><td>integer</td><td><p>Type elektriciteitscontract</p><p><code>1</code> = vast contract </p><p><code>2</code> = dynamisch contract</p></td><td>Standaard: 1</td></tr><tr><td>dynamic_price_reference_year</td><td>integer</td><td><p>Het jaar vanaf wanneer dynamische prijzen worden gebruikt:</p><p><code>2023</code>, <code>2024</code>, <code>2025</code></p></td><td>Standaard: 2025</td></tr><tr><td>netting_enabled</td><td>integer</td><td><p>Of de salderingsregeling wordt toegepast.</p><p><code>0</code> = geen saldering </p><p><code>1</code> = saldering toegepast</p></td><td>Standaard: 1</td></tr><tr><td>solar_panels</td><td>list</td><td>Bekijk <a href="https://docs.altum.ai/verduurzamen/verduurzaming-api-v2/maatregelen">Maatregelen</a></td><td></td></tr><tr><td>number_of_solar_panels</td><td>integer</td><td>Bekijk <a href="https://docs.altum.ai/verduurzamen/verduurzaming-api-v2/maatregelen">Maatregelen</a></td><td></td></tr><tr><td>battery_type</td><td>integer</td><td>Bekijk <a href="https://docs.altum.ai/verduurzamen/verduurzaming-api-v2/maatregelen">Maatregelen</a></td><td></td></tr><tr><td>battery_system</td><td>integer</td><td>Bekijk <a href="https://docs.altum.ai/verduurzamen/verduurzaming-api-v2/maatregelen">Maatregelen</a></td><td></td></tr></tbody></table>

## Request body

```
{
  "postcode": "2771DS",
  "housenumber": 87,
  "houseaddition": ""
}
```

## Response Status Codes

{% tabs %}
{% tab title="200: OK Successful response" %}

```
{
  "Output": {
    "warnings": [],
    "postcode": "2771DS",
    "housenumber": 87,
    "houseaddition": null,
    "build_year": 1961,
    "inner_surface_area": 131,
    "house_type": "Vrijstaand",
    "installation": 6,
    "wall_insulation": 3,
    "sloped_roof_insulation": 1,
    "flat_roof_insulation": 1,
    "floor_insulation": 3,
    "living_room_windows": 2,
    "bedroom_windows": 2,
    "shower": 1,
    "ventilation": 4,
    "cooling": 1,
    "electric_cooking": 2,
    "solar_panels": {
      "pv_generation": 0,
      "curtailed_pv": 0,
      "self_consumed_pv": 0,
      "self_consumed_ratio": 0,
      "netting_enabled": 1
    },
    "battery": null,
    "CO2": 2299,
    "grid_import": 10436,
    "grid_feed": 0,
    "electricity_need": 10436,
    "definitive_energy_label": "A+++",
    "definitive_energy_label_type": "NTA 8800:2024 (basisopname woningbouw)",
    "definitive_energy_label_validity_date": "2036-1",
    "definitive_BENG2_score": 49,
    "current_estimated_energy_label": "A++",
    "current_estimated_BENG2_score": 75,
    "estimated_gas_usage": 0,
    "estimated_energy_usage": 10438,
    "estimated_city_heating_usage": 0,
    "measures_method": 1,
    "accuracy_indicator": 6,
    "response_meta": null
  }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.altum.ai/verduurzamen/nta-8800-energielabel-v2-api/woningen/authenticatie-invoer-en-resultaat.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
